'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _createReactClass = require('create-react-class');

var _createReactClass2 = _interopRequireDefault(_createReactClass);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var style = {
  display: 'block',
  width: '100%',
  maxWidth: '100%',
  boxSizing: 'border-box',
  borderColor: '#cccccc'
};

exports['default'] = _createReactClass2['default']({

  displayName: 'Demo.Controls.InputMultilineText',

  propTypes: {
    value: _propTypes2['default'].string.isRequired,
    onChange: _propTypes2['default'].func.isRequired
  },

  handleChange: function handleChange(e) {
    this.props.onChange(e.target.value);
  },

  render: function render() {
    return _react2['default'].createElement('textarea', {
      rows: 4,
      style: style,
      value: this.props.value,
      onChange: this.handleChange
    });
  }

});
module.exports = exports['default'];